# Reference

The following provides detailled documentation about types and methods provided
by the `LinearInterpolators` package.  This information is also available from
the REPL by typing `?` followed by the name of a method or a type.

## Tabulated Interpolators

```@docs
LinearInterpolators.Interpolations.TabulatedInterpolators.TabulatedInterpolator
```

## Two Dimensional Interpolators

```@docs
LinearInterpolators.Interpolations.TwoDimensionalTransformInterpolator
```

## Sparse Interpolators

```@docs
LinearInterpolators.Interpolations.SparseInterpolators.SparseInterpolator
LinearInterpolators.Interpolations.SparseInterpolators.fit
LinearInterpolators.Interpolations.SparseInterpolators.regularize
LinearInterpolators.Interpolations.SparseInterpolators.regularize!
LinearInterpolators.Interpolations.SparseInterpolators.SparseUnidimensionalInterpolator
```

## Utilities

### Limits

```@docs
LinearInterpolators.Interpolations.Limits
LinearInterpolators.Interpolations.limits
```

### Interpolation coefficients

```@docs
LinearInterpolators.Interpolations.getcoefs
```
